import { Commitment } from './common';
type GetInflationGovernorApiResponse = Readonly<{
    /** The initial inflation percentage from time 0 */
    initial: number;
    /** Percentage of total inflation allocated to the foundation */
    foundation: number;
    /** Duration of foundation pool inflation in years */
    foundationTerm: number;
    /**
     * Rate per year at which inflation is lowered.
     * (Rate reduction is derived using the target
     * slot time in genesis config)
     */
    taper: number;
    /** Terminal inflation percentage */
    terminal: number;
}>;
export interface GetInflationGovernorApi {
    /**
     * Returns the current inflation governor
     */
    getInflationGovernor(config?: Readonly<{
        commitment?: Commitment;
    }>): GetInflationGovernorApiResponse;
}
export {};
//# sourceMappingURL=getInflationGovernor.d.ts.map